classification
Title: Port LOAD_GLOBAL to adaptive interpreter
Type: performance Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon
Priority: normal Keywords: patch

Created on 2021-06-07 18:04 by Mark.Shannon, last changed 2021-08-09 14:58 by Mark.Shannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26638 merged Mark.Shannon, 2021-06-10 09:03
Messages (2)
msg395272 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-07 18:04
Port the implementation of LOAD_GLOBAL to the new adaptive interpreter

Once this and https://bugs.python.org/issue44337 are implemented we can remove the old opcache.
msg395786 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-14 10:04
New changeset eecbc7c3900a7f40d8498b151db543a202c72f74 by Mark Shannon in branch 'main':
bpo-44338: Port LOAD_GLOBAL to PEP 659 adaptive interpreter (GH-26638)
https://github.com/python/cpython/commit/eecbc7c3900a7f40d8498b151db543a202c72f74
History
Date User Action Args
2021-08-09 14:58:46Mark.Shannonsetstatus: open -> closed
resolution: fixed
type: performance
stage: patch review -> resolved
2021-06-14 10:04:31Mark.Shannonsetmessages: + msg395786
2021-06-10 09:03:36Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25225
2021-06-07 18:04:54Mark.Shannoncreate